Package org.eclipse.pde.ui.target

# Interface ITargetLocationWizard

All Superinterfaces:
  `IWizard`

public interface ITargetLocationWizard extends IWizard
This interface represents a wizard which will be used to add target locations to a target definition. The wizard will be available from the Add... button on the locations tab in the target wizard or editor. Implementors must contribute their wizards through the `org.eclipse.pde.ui.targetLocationProvisioners` extension point. Implementing classes must have a default constructor (zero arguments) for the class to be created from the extension.

Since:
  3.7
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ITargetLocation[]`
`getLocations()`
Returns an array of target locations to be added to the target definition.
`void`
`setTarget(ITargetDefinition target)`
After the wizard is created this method will be called, providing this wizard with information from the target definition the new location(s) will be added to.

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

## Method Details

### setTarget

void setTarget(ITargetDefinition target)
After the wizard is created this method will be called, providing this wizard with information from the target definition the new location(s) will be added to. It is not recommended that implementors modify the target as UI behaviour is not API (it may change between releases).

Parameters:
  `target` - the target definition this location is being added to

### getLocations

ITargetLocation[] getLocations()
Returns an array of target locations to be added to the target definition. Will be called after the wizard is closed.

Returns:
  an array of target locations to add to the target definition